PHPExcel_Worksheet

# Class: PHPExcel_Worksheet_CellIterator

Source Location: /PHPExcel/Worksheet/CellIterator.php

### Class Overview

PHPExcel_Worksheet_CellIterator

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- Iterator (internal interface)

### Methods

- __construct
- __destruct
- current
- getIterateOnlyExistingCells
- key
- next
- rewind
- setIterateOnlyExistingCells
- valid

### Class Details

[line 38]
PHPExcel_Worksheet_CellIterator

Used to iterate rows in a PHPExcel_Worksheet

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 74]

`PHPExcel_Worksheet_CellIterator __construct( [PHPExcel_Worksheet $subject = null], [int $rowIndex = 1])`

Create a new cell iterator

#### Tags:

access: | public

#### Parameters:

PHPExcel_Worksheet | $subject |
int | $rowIndex |

[ Top ]

### destructor __destruct [line 83]

`void __destruct( )`

Destructor

#### Tags:

access: | public

[ Top ]

### method current [line 99]

`PHPExcel_Cell current( )`

Current PHPExcel_Cell

#### Tags:

access: | public

Implementation of:

Iterator::current

[ Top ]

### method getIterateOnlyExistingCells [line 149]

`boolean getIterateOnlyExistingCells( )`

Get loop only existing cells

#### Tags:

access: | public

[ Top ]

### method key [line 108]

`int key( )`

Current key

#### Tags:

access: | public

Implementation of:

Iterator::key

[ Top ]

### method next [line 115]

`void next( )`

Next value

#### Tags:

access: | public

Implementation of:

Iterator::next

[ Top ]

### method rewind [line 90]

`void rewind( )`

Rewind iterator

#### Tags:

access: | public

Implementation of:

Iterator::rewind

[ Top ]

### method setIterateOnlyExistingCells [line 158]

`void setIterateOnlyExistingCells( [boolean $value = true])`

Set the iterator to loop only existing cells

#### Tags:

access: | public

#### Parameters:

boolean | $value |

[ Top ]

### method valid [line 124]

`boolean valid( )`

Are there any more PHPExcel_Cell instances available?

#### Tags:

access: | public

Implementation of:

Iterator::valid

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:22 +0200 by phpDocumentor 1.4.4